classification
Title: the help for bytearray.maketrans describes bytes.maketrans
Type: behavior Stage: resolved
Components: Documentation Versions: Python 3.2, Python 3.3
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: docs@python, py.user, python-dev, r.david.murray
Priority: normal Keywords:

Created on 2011-06-21 23:35 by py.user, last changed 2011-06-27 16:07 by python-dev. This issue is now closed.

Messages (3)
msg138808 - (view) Author: py.user (py.user) * Date: 2011-06-21 23:35
help(bytearray.maketrans)

maketrans(...)
    B.maketrans(frm, to) -> translation table
    
    Return a translation table (a bytes object of length 256)
    suitable for use in bytes.translate where each byte in frm is
    mapped to the byte at the same position in to.
    The strings frm and to must be of the same length.
msg138810 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2011-06-22 00:15
Hmm.  I wonder why we have two copies of this method.

Well, given that we do, the best fix for the docs would be to say "for use in the bytes or bytearray translate method" in both this docstring and the bytes.maketrans docstring.
msg139308 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2011-06-27 16:07
New changeset 586745894ab8 by Senthil Kumaran in branch '3.2':
Fix closes Issue12385 - Clarify maketrans method docstring for bytes and bytearray object.
http://hg.python.org/cpython/rev/586745894ab8
History
Date User Action Args
2011-06-27 16:07:25python-devsetstatus: open -> closed

nosy: + python-dev
messages: + msg139308

resolution: fixed
stage: needs patch -> resolved
2011-06-22 00:15:47r.david.murraysetversions: + Python 3.2, Python 3.3, - Python 3.1
nosy: + r.david.murray

messages: + msg138810

type: behavior
stage: needs patch
2011-06-21 23:35:00py.usercreate